# Interface MavenResolver

All Superinterfaces:
  `ArtifactRepository, PomFilterContainer`

All Known Subinterfaces:
  `GroovyMavenDeployer, MavenDeployer`

public interface MavenResolver extends ArtifactRepository, PomFilterContainer
An `ArtifactRepository` which can be used to publish artifacts to Maven repositories.

## Field Summary

### Fields inherited from interface PomFilterContainer

`DEFAULT_ARTIFACT_POM_NAME`

## Method Summary

Modifier and Type
Method
Description
`void`
`beforeDeployment(Closure action)`
Adds a closure to be executed immediately before a deployment to this resolver.
`void`
`beforeDeployment(Action<? super MavenDeployment> action)`
Adds an action to be executed immediately before a deployment to this resolver.
`Object`
`getSettings()`
Returns a Maven settings object.

### Methods inherited from interface ArtifactRepository

`getName, setName`

### Methods inherited from interface PomFilterContainer

`addFilter, addFilter, filter, filter, getActivePomFilters, getFilter, getPom, pom, pom, pom, pom, pom, setFilter, setPom`

## Method Details

### getSettings

Object getSettings()
Returns a Maven settings object. This can be used for example to figure out where the local repository is located. This property is populated on demand.

### beforeDeployment

void beforeDeployment(Action<? super MavenDeployment> action)
Adds an action to be executed immediately before a deployment to this resolver. The action is executed after all artifacts have been build, including generation of the POM. The action can modify the set of artifacts to be deployed.

Parameters:
  `action` - The action to execute.

### beforeDeployment

void beforeDeployment(Closure action)
Adds a closure to be executed immediately before a deployment to this resolver. The closure is passed a `MavenDeployment` as a parameter. The closure is executed after all artifacts have been build, including generation of the POM. The closure can modify the set of artifacts to be deployed.

Parameters:
  `action` - The closure to execute.